package com.ejie.ab39a.model;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.x38.util.Constants;

/**
 * 
 *  
 * 
 */
public class ElementoCombo {

	private String id;
	private String descripcionEs;
	private String descripcionEu;

	/**
	 * 
	 * @return String
	 */
	public String getId() {
		return this.id;
	}

	/**
	 * 
	 * @param id
	 *            String
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Method 'getNombre'.
	 *
	 * @return String
	 */

	public String getDesc() {
		if (Constants.EUSKARA.equals(LocaleContextHolder.getLocale().getLanguage())) {
			return this.getDescripcionEu();
		} else {
			return this.getDescripcionEs();
		}
	}

	/**
	 * 
	 * @return String
	 */
	public String getDescripcionEs() {
		return this.descripcionEs;
	}

	/**
	 * 
	 * @param descripcionEs
	 *            String
	 */
	public void setDescripcionEs(String descripcionEs) {
		this.descripcionEs = descripcionEs;
	}

	/**
	 * 
	 * @return String
	 */
	public String getDescripcionEu() {
		return this.descripcionEu;
	}

	/**
	 * 
	 * @param descripcionEu
	 *            String
	 */
	public void setDescripcionEu(String descripcionEu) {
		this.descripcionEu = descripcionEu;
	}

	/**
	 * Constructor ElementoCombo
	 * 
	 * @param id
	 *            String id
	 * @param descripcionEs
	 *            String descripcionEs
	 * @param descripcionEu
	 *            String descripcionEu
	 */
	public ElementoCombo(String id, String descripcionEs, String descripcionEu) {
		super();
		this.id = id;
		this.descripcionEs = descripcionEs;
		this.descripcionEu = descripcionEu;
	}

	@Override()
	public String toString() {
		return this.id;
	}

}
